### Property

# WebKit2 WebContext:process-swap-on-cross-site-navigation-enabled

#### Declaration

    property process-swap-on-cross-site-navigation-enabled: gboolean [ read, write, construct-only ]

#### Description [src]

Whether swap Web processes on cross-site navigations is enabled.

When enabled, pages from each security origin will be handled by their own separate Web processes, which are started (and terminated) on demand as the user navigates across different domains. This is an important security measure which helps prevent websites stealing data from other visited pages.

Type: | `gboolean`
Available since: | 2.28

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes